<template>
  <info-card title="Resultados de la carga de datos">
    <v-container fluid>
      <pending-load v-if="load.state === PENDING" />
      <processing-load v-else-if="load.state === PROCESSING" />
      <done-load v-else-if="load.state === DONE" :load="load" />
      <failed-load v-else-if="load.state === FAILED" :load="load" />
    </v-container>
  </info-card>
</template>

<script>
import { mapState } from 'vuex';
import { PENDING, PROCESSING, DONE, FAILED } from '~/services/sync/load-status';
import InfoCard from '~/components/Common/Info/InfoCard';
import PendingLoad from '~/components/Sync/Loads/Details/Results/PendingLoad';
import ProcessingLoad from '~/components/Sync/Loads/Details/Results/ProcessingLoad';
import DoneLoad from '~/components/Sync/Loads/Details/Results/DoneLoad';
import FailedLoad from '~/components/Sync/Loads/Details/Results/FailedLoad';

export default {
  name: 'LoadResults',
  components: {
    InfoCard,
    PendingLoad,
    ProcessingLoad,
    DoneLoad,
    FailedLoad,
  },
  data() {
    return {
      PENDING,
      PROCESSING,
      DONE,
      FAILED,
    };
  },
  computed: {
    ...mapState({
      load: state => state.sync.loads.current.load,
    }),
  },
};
</script>
